## dbus-cpp 5.0.3

=== CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

cmake_minimum_required(VERSION 2.8)

project(dbus-cpp)

set(DBUS_CPP_VERSION_MAJOR 5)
set(DBUS_CPP_VERSION_MINOR 0)
set(DBUS_CPP_VERSION_PATCH 3)

message(STATUS "${CMAKE_PROJECT_NAME} ${DBUS_CPP_VERSION_MAJOR}.${DBUS_CPP_VERSION_MINOR}.${DBUS_CPP_VERSION_PATCH}")

find_package(Boost COMPONENTS filesystem program_options system REQUIRED)
find_package(LibXml2 REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules(DBUS dbus-1)
pkg_check_modules(PROCESS_CPP process-cpp)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(cmake/EnableCoverageReport.cmake)
include(cmake/PrePush.cmake)

include(GNUInstallDirs)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wall -Wextra -fvisibility=hidden -fPIC -pthread")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Werror -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -Wextra -fPIC -pthread")
set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS}")

# We leverage GCC's sanitize functionality
set(
  DBUS_CPP_SANITIZE None
  CACHE STRING "Enables sanitizer functionality if set to a value in {address, leak}")

if((${DBUS_CPP_SANITIZE} STREQUAL "address") OR (${DBUS_CPP_SANITIZE} STREQUAL "leak"))
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=${DBUS_CPP_SANITIZE}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=${DBUS_CPP_SANITIZE}")
endif()

#####################################################################
# Enable code coverage calculation with gcov/gcovr/lcov
# Usage:
#  * Switch build type to coverage (use ccmake or cmake-gui)
#  * Invoke make, make test, make coverage
#  * Find html report in subdir coveragereport
#  * Find xml report feasible for jenkins in coverage.xml
#####################################################################
IF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])

include(CTest)

include_directories(
  include
  ${LIBXML2_INCLUDE_DIR}
)

add_subdirectory(data)
add_subdirectory(doc)
add_subdirectory(examples)
add_subdirectory(include)
add_subdirectory(src)
add_subdirectory(tests)

enable_coverage_report(benchmark)

=== debian/changelog ===
dbus-cpp (5.0.3-6build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 20:41:24 +0100

dbus-cpp (5.0.3-6) unstable; urgency=medium

  * debian/patches: Add patch to fix FTBFS with googletest 1.13.0
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 19:51:17 +0200

dbus-cpp (5.0.3-5) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/watch: Amend watch URL.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in machine-readable debian/copyright).
  * Remove unnecessary get-orig-source-target.
  * Update standards version to 4.6.2, no changes needed.

  [ Mike Gabriel ]
  * Revert "Remove unnecessary get-orig-source-target."

  [ Marius Gripsgard ]
  * debian/patches: Add patch to fix gcc13 build (closes: #1037617)

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 04:02:18 +0200

dbus-cpp (5.0.3-4) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/: Update upstream Git repo URL.

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml

  [ Marius Gripsgard ]
  * [debian/*.symbols] Mark symbols optional on LTO builds
    (will be optimized out)

 -- Marius Gripsgard <marius@ubports.com>  Tue, 10 Jan 2023 20:27:19 +0100

dbus-cpp (5.0.3-3) unstable; urgency=medium

  [ Marius Gripsgard ]
  * debian/tests:
    + Fix right path for benchmark
  * debian/patches:
    + Add 0001-src-Don-t-steal-a-pending-dbus-call-more-then-once.patch.
      src: Don't *steal* a pending dbus call more then once. (Closes:
      #888995).

  [ Mike Gabriel ]
  * debian/rules:
    + Add inclusion of buildflags.mk.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Mar 2022 15:19:48 +0100

dbus-cpp (5.0.3-2) unstable; urgency=medium

  * debian/patches:
    + Drop 0001_explicitly-declare-copy-constructor.patch,
      1003_increase-asyncexec-test-timeout.patch. Not required anymore.
    + Rename dont-build-with-werror.patch to 2001_dont-build-with-werror.patch
      and marke patch-forwarding as not-required.
  * debian/rules:
    + Don't derived upstream version from package version.
  * debian/control:
    + Fix whitespace flaw in B-D: field.
    + Copy over dev:pkgs in build requirements to Depends: field of dev:pkg
      libdbus-cpp-dev.
  * debian/VERSION:
    + Drop file. Where did this come from?
  * debian/*.lintian-overrides:
    + Drop files. Not wanted anymore.
  * debian/*:
    + Make bin:pkg dbus-cpp-dev-examples multi-arch:foreign and ship example
      files in /usr/libexec/.
  * debian/libdbus-cpp5.symbols:
    + Add Build-Depends-Package: metadata field.
  * debian/libdbus-cpp5.install:
    + Drop .install.in file, drop comment.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 Jul 2021 16:55:09 +0200

dbus-cpp (5.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 Jul 2021 22:27:12 +0200

dbus-cpp (5.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0002_fix-build-with-boost-1.66.0-and-above.patch.
      Applied upstream.
    + Rebase 0001_explicitly-declare-copy-constructor.patch and
      dont-build-with-werror.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Feb 2021 17:39:06 +0100

dbus-cpp (5.0.1-5) unstable; urgency=medium

  * debian/rules:
    + Run unit tests in --no-parallel mode.
  * debian/tests/0002-benchmark:
    + Run benchmark test wrapped by dbus-test-runner.
  * debian/tests/control:
    + Add requirement dbus-test-runner for test 0002-benchmark.
  * debian/control
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.5.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Dec 2020 16:34:11 +0000

=== debian/control ===
Source: dbus-cpp
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <mariogrip@debian.org>,
Build-Depends: cmake,
               cmake-extras,
               dbus,
               debhelper-compat (= 13),
               doxygen,
               google-mock,
               libboost-filesystem-dev,
               libboost-system-dev,
               libboost-program-options-dev,
               libdbus-1-dev,
               libgtest-dev,
               libprocess-cpp-dev,
               libproperties-cpp-dev,
               libxml2-dev,
               lsb-release,
               pkg-kde-tools,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Section: libs
Homepage: https://gitlab.com/ubports/development/core/lib-cpp/dbus-cpp
Vcs-Git: https://salsa.debian.org/ubports-team/dbus-cpp.git
Vcs-Browser: https://salsa.debian.org/ubports-team/dbus-cpp

Package: libdbus-cpp5
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: header-only dbus-binding leveraging C++-11 (runtime libraries)
 A header-only dbus-binding leveraging C++-11, relying on compile-time
 polymorphism to integrate with arbitrary type systems. Runtime portions to
 bind to different event loops.

Package: dbus-cpp-bin
Section: libdevel
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libdbus-cpp5 (= ${binary:Version})
Description: header-only dbus-binding leveraging C++-11 (tools)
 Protocol compiler and generator to automatically generate protocol headers
 from introspection XML.
 .
 D-Bus is a message bus used for sending messages between applications.
 .
 This package contains runtime binaries.

Package: libdbus-cpp-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbus,
         libboost-filesystem-dev,
         libboost-system-dev,
         libboost-program-options-dev,
         libdbus-1-dev,
         libdbus-cpp5 (= ${binary:Version}),
         libproperties-cpp-dev,
Replaces: dbus-cpp-dev
Conflicts: dbus-cpp-dev
Provides: dbus-cpp-dev
Description: header-only dbus-binding leveraging C++-11 (development files)
 A header-only dbus-binding leveraging C++-11, relying on compile-time
 polymorphism to integrate with arbitrary type systems.
 .
 D-Bus is a message bus used for sending messages between applications.

Package: dbus-cpp-dev-examples
Section: x11
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: header-only dbus-binding leveraging C++-11 (examples)
 A header-only dbus-binding leveraging C++-11, relying on compile-time
 polymorphism to integrate with arbitrary type systems.
 .
 D-Bus is a message bus used for sending messages between applications.
 .
 This package provides examples.

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lib-cpp/dbus-cpp/-/tags .*/dbus-cpp-(\d\S+)\.tar\.gz

## dbus-cpp 5.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 set(DBUS_CPP_VERSION_MAJOR 5)
 set(DBUS_CPP_VERSION_MINOR 0)
-set(DBUS_CPP_VERSION_PATCH 3)
+set(DBUS_CPP_VERSION_PATCH 4)
 
 message(STATUS "${CMAKE_PROJECT_NAME} ${DBUS_CPP_VERSION_MAJOR}.${DBUS_CPP_VERSION_MINOR}.${DBUS_CPP_VERSION_PATCH}")
 
@@ -38,8 +38,12 @@
 
 include(GNUInstallDirs)
 
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
+
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wall -Wextra -fvisibility=hidden -fPIC -pthread")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Werror -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -Wextra -fPIC -pthread")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -Wextra -fPIC -pthread -DBOOST_ASIO_DISABLE_EPOLL")
 set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS}")
 
 # We leverage GCC's sanitize functionality

=== examples/ofono/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

find_package(PkgConfig)
find_package(Boost COMPONENTS system)
find_package(Threads)

pkg_check_modules(DBUS dbus-1)

include_directories(
  ${CMAKE_SOURCE_DIR}/include
  ${DBUS_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  )

add_executable(
  ofono
  main.cpp
  )

target_link_libraries(
  ofono

  dbus-cpp

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  )

install(
  TARGETS ofono
  DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/examples/ofono/
  )

=== examples/upower/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

find_package(PkgConfig)
find_package(Boost COMPONENTS system)
find_package(Threads)

pkg_check_modules(DBUS dbus-1)

include_directories(
  ${CMAKE_SOURCE_DIR}/include
  ${DBUS_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${GTEST_INCLUDE_DIRS}
  )

add_executable(
  upower
  main.cpp
  )

target_link_libraries(
  upower

  dbus-cpp

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

install(
  TARGETS upower
  DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/examples/upower/
  )

=== src/core/dbus/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

find_package(PkgConfig)
find_package(Threads)

pkg_check_modules(DBUS dbus-1)

include_directories(
  ${CMAKE_SOURCE_DIR}/include
  ${DBUS_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${PROCESS_CPP_INCLUDE_DIR}
)

configure_file(
  fixture.cpp.in ${CMAKE_CURRENT_BINARY_DIR}/fixture.cpp @ONLY
)

add_library(
  dbus-cpp SHARED

  ${CMAKE_CURRENT_BINARY_DIR}/fixture.cpp

  bus.cpp
  dbus.cpp
  error.cpp
  match_rule.cpp
  message.cpp
  service.cpp
  service_watcher.cpp

  asio/executor.cpp

  types/object_path.cpp
)
# We compile with all symbols visible by default. For the shipping library, we strip
# out all symbols that are not in core::dbus::*
set(symbol_map "${CMAKE_SOURCE_DIR}/symbols.map")
set_target_properties(dbus-cpp PROPERTIES
                      LINK_FLAGS "${ldflags} -Wl,--version-script,${symbol_map}")
set_target_properties(dbus-cpp PROPERTIES LINK_DEPENDS ${symbol_map})

target_link_libraries(
  dbus-cpp

  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${LIBXML2_LIBRARIES}
  ${PROCESS_CPP_LIBRARIES}
)

set_target_properties(
  dbus-cpp

  PROPERTIES
  VERSION ${DBUS_CPP_VERSION_MAJOR}.${DBUS_CPP_VERSION_MINOR}.${DBUS_CPP_VERSION_PATCH}
  SOVERSION ${DBUS_CPP_VERSION_MAJOR}
)

install(
  TARGETS dbus-cpp
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

# We want to test compiler functionality in our testing framework and
# thus collect symbols in this temporary helper library that is not
# installed but just linked to the actual compiler executable.
add_library(
  dbus-cppc-helper STATIC

  compiler.cpp
  generator.cpp
  introspection_parser.cpp
)

target_link_libraries(
  dbus-cppc-helper

  ${Boost_LIBRARIES}
  ${LIBXML2_LIBRARIES}
)

add_executable(
  dbus-cppc

  compiler_main.cpp
)

target_link_libraries(
  dbus-cppc

  dbus-cppc-helper
)

install(
  TARGETS dbus-cppc
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

=== debian/changelog ===
dbus-cpp (5.0.4-2build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:24:35 +0200

dbus-cpp (5.0.4-2) unstable; urgency=medium

  * debian/patches:
    + Add 1001_extend-async-execution-load-test-for-slow-archs.patch. Extend
      waitFor phase in async_execution_load_test to 10min (instead of 5min).
      To fix unit test failures on slow architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Mar 2025 17:58:14 +0100

dbus-cpp (5.0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Drop patches 0001 and 0002. Applied upstream.
    + Rebase 2001_dont-build-with-werror.patch.
    + Drop 0003-Bump-cpp-std-to-14-fixes-googletest-1.13.0.patch. Not required
      anymore. C++-standard not explicitly set anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Mar 2025 15:09:05 +0100

dbus-cpp (5.0.3-8) unstable; urgency=medium

  * debian/control:
    + Versionize B-D on libprocess-cpp-dev. Require process-cpp (>= 3.0.2)
      (which comes with a fixed SOVERSION_MAJOR).
  * debian/libdbus-cpp5.symbols:
    + Drop file. (Closes: #1015380).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Aug 2024 09:52:29 +0200

dbus-cpp (5.0.3-7) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 10:43:55 +0200

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,12 @@
                libboost-program-options-dev,
                libdbus-1-dev,
                libgtest-dev,
-               libprocess-cpp-dev,
+               libprocess-cpp-dev (>= 3.0.2),
                libproperties-cpp-dev,
                libxml2-dev,
                lsb-release,
                pkg-kde-tools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://gitlab.com/ubports/development/core/lib-cpp/dbus-cpp

=== debian/tests/control ===
Tests: 0001-dbus-cppc
Depends: @
Restrictions: allow-stderr

Tests: 0002-benchmark
Depends: @, dbus-test-runner
Restrictions: allow-stderr

## dbus-cpp 5.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 # Authored by: Thomas Voss <thomas.voss@canonical.com>
 
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.5)
 
 project(dbus-cpp)
 
@@ -24,7 +24,7 @@
 
 message(STATUS "${CMAKE_PROJECT_NAME} ${DBUS_CPP_VERSION_MAJOR}.${DBUS_CPP_VERSION_MINOR}.${DBUS_CPP_VERSION_PATCH}")
 
-find_package(Boost COMPONENTS filesystem program_options system REQUIRED)
+find_package(Boost 1.66 REQUIRED COMPONENTS filesystem program_options system REQUIRED)
 find_package(LibXml2 REQUIRED)
 find_package(PkgConfig REQUIRED)

=== data/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

configure_file(
  dbus-cpp.pc.in dbus-cpp.pc @ONLY
)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/dbus-cpp.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

message(STATUS "Installing session and system bus config files to ${CMAKE_INSTALL_DATAROOTDIR}/dbus-cpp")

install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/session.conf ${CMAKE_CURRENT_SOURCE_DIR}/system.conf
  DESTINATION
  "${CMAKE_INSTALL_DATAROOTDIR}/dbus-cpp/"
)

=== doc/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

option(
  DBUS_CPP_ENABLE_DOC_GENERATION
  "Generate package documentation with doxygen"
  OFF
)

if (DBUS_CPP_ENABLE_DOC_GENERATION)

find_package(Doxygen)

if (DOXYGEN_FOUND)
  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in 
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
  add_custom_target(doc ALL
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating API documentation with Doxygen" VERBATIM)
  install(
    DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
    DESTINATION share/${CMAKE_PROJECT_NAME}/doc)
endif (DOXYGEN_FOUND)
endif (DBUS_CPP_ENABLE_DOC_GENERATION)

=== examples/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

include(GNUInstallDirs)
add_subdirectory(benchmark)
add_subdirectory(geoclue)
add_subdirectory(ofono)
add_subdirectory(upower)

=== include/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

install(
    DIRECTORY core
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/
)

=== src/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

add_subdirectory(core)

=== tests/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

# Build with system gmock and embedded gtest
find_package(GMock)

find_package(Threads)

add_definitions(-DCORE_DBUS_ENABLE_GOOGLE_TEST_FIXTURE)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/test_data.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/test_data.h @ONLY)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)

include_directories(
  ${DBUS_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${GTEST_INCLUDE_DIRS}
  ${PROCESS_CPP_INCLUDE_DIRS}
)

add_executable(
  async_execution_load_test
  async_execution_load_test.cpp
  )

add_executable(
  bus_test
  bus_test.cpp
  )

add_executable(
  cache_test
  cache_test.cpp
  )

add_executable(
  dbus_test
  dbus_test.cpp
  )

add_executable(
  codec_test
  codec_test.cpp
  )

add_executable(
  compiler_test
  compiler_test.cpp
  )

add_executable(
  executor_test
  executor_test.cpp
  )

add_executable(
  stl_codec_test
  stl_codec_test.cpp
  )

add_executable(
  message_test
  message_test.cpp   
  )

add_executable(
  match_rule_test
  match_rule_test.cpp
  )

add_executable(
  message_router_test
  message_router_test.cpp
  )

add_executable(
  service_test
  service_test.cpp
  )

add_executable(
  service_watcher_test
  service_watcher_test.cpp
  )

add_executable(
  types_test
  types_test.cpp
  )

add_executable(
  signal_delivery_test
  signal_delivery_test.cpp
  )

target_link_libraries(
  async_execution_load_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  ${PROCESS_CPP_LIBRARIES}
)

target_link_libraries(
  bus_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  ${PROCESS_CPP_LIBRARIES}
)

target_link_libraries(
  cache_test

  dbus-cpp

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  ${PROCESS_CPP_LIBRARIES}
)

target_link_libraries(
  dbus_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  executor_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  codec_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  compiler_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${LIBXML2_LIBRARIES}
  ${GMOCK_LIBRARY}
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  stl_codec_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  message_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  match_rule_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  message_router_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  service_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  service_watcher_test

  dbus-cpp
  dbus-cppc-helper

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  types_test

  dbus-cpp

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

target_link_libraries(
  signal_delivery_test

  dbus-cpp

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GMOCK_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
  )

add_test(async_execution_load_test ${CMAKE_CURRENT_BINARY_DIR}/async_execution_load_test)
add_test(bus_test ${CMAKE_CURRENT_BINARY_DIR}/bus_test)
add_test(cache_test ${CMAKE_CURRENT_BINARY_DIR}/cache_test)
add_test(dbus_test ${CMAKE_CURRENT_BINARY_DIR}/dbus_test)
add_test(executor_test ${CMAKE_CURRENT_BINARY_DIR}/executor_test)
add_test(codec_test ${CMAKE_CURRENT_BINARY_DIR}/codec_test)
add_test(compiler_test ${CMAKE_CURRENT_BINARY_DIR}/compiler_test)
add_test(stl_codec_test ${CMAKE_CURRENT_BINARY_DIR}/stl_codec_test)
add_test(types_test ${CMAKE_CURRENT_BINARY_DIR}/types_test)
add_test(message_test ${CMAKE_CURRENT_BINARY_DIR}/message_test)
add_test(match_rule_test ${CMAKE_CURRENT_BINARY_DIR}/match_rule_test)
add_test(message_router_test ${CMAKE_CURRENT_BINARY_DIR}/message_router_test)
add_test(service_test ${CMAKE_CURRENT_BINARY_DIR}/service_test)
add_test(service_watcher_test ${CMAKE_CURRENT_BINARY_DIR}/service_watcher_test)
add_test(signal_delivery_test ${CMAKE_CURRENT_BINARY_DIR}/signal_delivery_test)

=== examples/benchmark/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

find_package(PkgConfig)
find_package(Boost 1.49 COMPONENTS system)
find_package(Threads)

pkg_check_modules(DBUS dbus-1)

include_directories(
  ${CMAKE_SOURCE_DIR}/include
  ${DBUS_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${GTEST_INCLUDE_DIRS}
  )

add_executable(
  benchmark
  main.cpp
  )

target_link_libraries(
  benchmark

  dbus-cpp

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  )

install(
  TARGETS benchmark
  DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/examples/benchmark/
  )

=== examples/geoclue/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

find_package(PkgConfig)
find_package(Boost COMPONENTS system)
find_package(Threads)

pkg_check_modules(DBUS dbus-1)

include_directories(
  ${CMAKE_SOURCE_DIR}/include
  ${DBUS_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${GTEST_INCLUDE_DIRS}
  )

add_executable(
  geoclue
  main.cpp
  )

target_link_libraries(
  geoclue

  dbus-cpp

  ${CMAKE_THREAD_LIBS_INIT}
  ${Boost_LIBRARIES}
  ${DBUS_LIBRARIES}
  ${GTEST_BOTH_LIBRARIES}
)

install(
  TARGETS geoclue
  DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/examples/geoclue/
  )

=== debian/changelog ===
dbus-cpp (5.0.5-1) unstable; urgency=medium

  * New upstream release.
    - Bump cmake_minimum_required() to 3.5. (Closes: #1112829).
  * debian/patches:
    + Drop 1001_extend-async-execution-load-test-for-slow-archs.patch. Applied
      upstream.
  * debian/{control,rules}:
    + Stop using pkgkde_symbolshelper DH extension, drop pkg-kde-tools from
      B-D: field.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Sep 2025 10:57:41 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
                libproperties-cpp-dev,
                libxml2-dev,
                lsb-release,
-               pkg-kde-tools,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk



%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBEXECDIR=/usr/libexec/dbus-cpp

override_dh_auto_test:
	dh_auto_test --no-parallel

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.com/ubports/development/core/lib-cpp/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## dbus-cpp 5.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,11 +20,11 @@
 
 set(DBUS_CPP_VERSION_MAJOR 5)
 set(DBUS_CPP_VERSION_MINOR 0)
-set(DBUS_CPP_VERSION_PATCH 4)
+set(DBUS_CPP_VERSION_PATCH 6)
 
 message(STATUS "${CMAKE_PROJECT_NAME} ${DBUS_CPP_VERSION_MAJOR}.${DBUS_CPP_VERSION_MINOR}.${DBUS_CPP_VERSION_PATCH}")
 
-find_package(Boost 1.66 REQUIRED COMPONENTS filesystem program_options system REQUIRED)
+find_package(Boost 1.66 REQUIRED COMPONENTS filesystem program_options REQUIRED)
 find_package(LibXml2 REQUIRED)
 find_package(PkgConfig REQUIRED)

=== debian/changelog ===
dbus-cpp (5.0.6-2) unstable; urgency=medium

  * Team upload
  * Remove obsolete Build-Depends: libboost-system-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Feb 2026 10:47:15 -0500

dbus-cpp (5.0.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fixes build with boost 1.90 (Closes: #1127184)
  * Bump minimum process-cpp to 3.0.3
  * Update Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Feb 2026 10:19:09 -0500

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,14 @@
                doxygen,
                google-mock,
                libboost-filesystem-dev,
-               libboost-system-dev,
                libboost-program-options-dev,
                libdbus-1-dev,
                libgtest-dev,
-               libprocess-cpp-dev (>= 3.0.2),
+               libprocess-cpp-dev (>= 3.0.3),
                libproperties-cpp-dev,
                libxml2-dev,
                lsb-release,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Section: libs
 Homepage: https://gitlab.com/ubports/development/core/lib-cpp/dbus-cpp
 Vcs-Git: https://salsa.debian.org/ubports-team/dbus-cpp.git
